gi-gdk4-4.0.10: Gdk bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | None
Language | Haskell2010

GI.Gdk.Structs.TimeCoord

Contents

- Exported types
- Methods
- Properties
  - flags
  - time

Description

Stores a single event in a motion history.

To check whether an axis is present, check whether the corresponding flag from the [flags`gdk`.AxisFlags] enumeration is set in the `flags` To access individual axis values, use the values of the values of the `AxisUse` enumerations as indices.

Synopsis

- newtype TimeCoord = TimeCoord (ManagedPtr TimeCoord)
- newZeroTimeCoord :: MonadIO m => m TimeCoord
- getTimeCoordFlags :: MonadIO m => TimeCoord -> m [AxisFlags]
- setTimeCoordFlags :: MonadIO m => TimeCoord -> [AxisFlags] -> m ()
- getTimeCoordTime :: MonadIO m => TimeCoord -> m Word32
- setTimeCoordTime :: MonadIO m => TimeCoord -> Word32 -> m ()

# Exported types

newtype TimeCoord Source #

Memory-managed wrapper type.

Constructors

TimeCoord (ManagedPtr TimeCoord) |

#### Instances

Instances details

Eq TimeCoord Source # |
Instance details Defined in GI.Gdk.Structs.TimeCoord Methods (==) :: TimeCoord -> TimeCoord -> Bool Source # (/=) :: TimeCoord -> TimeCoord -> Bool Source #
BoxedPtr TimeCoord Source # |
Instance details Defined in GI.Gdk.Structs.TimeCoord Methods boxedPtrCopy :: TimeCoord -> IO TimeCoord Source # boxedPtrFree :: TimeCoord -> IO () Source #
CallocPtr TimeCoord Source # |
Instance details Defined in GI.Gdk.Structs.TimeCoord Methods boxedPtrCalloc :: IO (Ptr TimeCoord) Source #
ManagedPtrNewtype TimeCoord Source # |
Instance details Defined in GI.Gdk.Structs.TimeCoord Methods toManagedPtr :: TimeCoord -> ManagedPtr TimeCoord Source #
tag ~ 'AttrSet => Constructible TimeCoord tag Source # |
Instance details Defined in GI.Gdk.Structs.TimeCoord Methods new :: MonadIO m => (ManagedPtr TimeCoord -> TimeCoord) -> [AttrOp TimeCoord tag] -> m TimeCoord Source #

newZeroTimeCoord :: MonadIO m => m TimeCoord Source #

Construct a `TimeCoord` struct initialized to zero.

# Methods

# Properties

## flags

Flags indicating what axes are present, see [flags`gdk`.AxisFlags]

getTimeCoordFlags :: MonadIO m => TimeCoord -> m [AxisFlags] Source #

Get the value of the “`flags`” field. When overloading is enabled, this is equivalent to

    get timeCoord #flags

setTimeCoordFlags :: MonadIO m => TimeCoord -> [AxisFlags] -> m () Source #

Set the value of the “`flags`” field. When overloading is enabled, this is equivalent to

    set timeCoord [ #flags := value ]

## time

The timestamp for this event

getTimeCoordTime :: MonadIO m => TimeCoord -> m Word32 Source #

Get the value of the “`time`” field. When overloading is enabled, this is equivalent to

    get timeCoord #time

setTimeCoordTime :: MonadIO m => TimeCoord -> Word32 -> m () Source #

Set the value of the “`time`” field. When overloading is enabled, this is equivalent to

    set timeCoord [ #time := value ]